<template lang="pug">
  .acc
    .summa 150 UAH
      .plus +
    .ava
      .place
      //- img(src='static/ava.png', alt='logo')
      .name crokodil

</template>

<script>
export default {
  name: "CartBtn",
  props: {
    cartItems: {
      type: Array
    },
    toDisableCart: {
      type: Boolean
    }
  },

  // For call the modal window

  methods: {
    showModal() {
      this.$root.$emit("bv::show::modal", "cardModal");
    }
  },

  // Calc quantity of all items in the cart

  computed: {
    quantityItems() {
      let quanItems = 0;
      this.cartItems.forEach(item => {
        quanItems = Number(quanItems);
        quanItems += Number(item.qty);
      });
      return quanItems;
    },

    // For Plural in words ->   << Product / Products >> and << Item / Items >>

    productPlural() {
      if (this.cartItems.length > 1) {
        this.product = "Products";
      } else {
        this.product = "Product";
      }
      return this.product;
    },

    itemPlural() {
      if (this.quantityItems > 1) {
        this.item = "Items";
      } else {
        this.item = "Item";
      }
      return this.item;
    }
  }
};
</script>

<style lang="scss" scoped>
.stavka {
  background: #223e9b;
  border: none;
  width: 180px;
  border-radius: 20px;
}

.btn-cart {
  font-size: 1.1rem;
}

.quantities {
  font-weight: bold;
}

.cart-in-title {
  display: inline-block;
  position: relative;
  z-index: -1;
  width: 50px;
  height: 50px;
  top: -7px;
  right: 17px;
  animation: cart 4s infinite cubic-bezier(0.14, 0.21, 0, 1.1);

  .txtCart {
    color: #541520;
    text-align: center;
    display: inline-block;
    position: relative;
    right: 20px;
    top: -15px;
  }
}

@keyframes cart {
  0% {
    margin-right: -30px;
    transform: rotate(-10deg);
  }
  30% {
    margin-right: -15px;
    transform: rotate(5deg);
  }
  100% {
    margin-right: -30px;
    transform: rotate(-10deg);
  }
}

.acc {
  display: flex;
  justify-content: center;
  align-items: center;
  .summa {
    display: flex;
    justify-content: flex-end;
    height: 35px;
    width: 170px;
    margin-right: 20px;
    font-size: 15px;
    font-weight: 700;
    padding-right: 5px;
    background: #2a105a;
    border-radius: 20px;
    color: white;
    align-items: center;
    .plus {
      height: 25px;
      width: 25px;
      background: #e4307a;
      border-radius: 50%;
      margin-left: 30px;
      color: black;
      right: 20px;
      display: flex;
      justify-content: center;
      align-items: center;
      font-size: 20px;
    }
  }
  .ava {
    display: flex;
    align-items: center;
    position: relative;
    width: 100px;
    right: 10px;
    img {
      width: 35px;
      display: inline-block;
    }
    .place {
      width: 30px;
      height: 30px;
      background: #fff;
      display: inline-block;
      border-radius: 30px;
    }
    .name {
      display: inline-block;
      margin-left: 5px;
      font-weight: 400;
      font-size: 14px;
      cursor: pointer;
      &:after {
        content: "";
        position: absolute;
        left: 93%;
        top: 46%;
        width: 0;
        height: 0;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-top: 4px solid #ffffff;
        clear: both;
      }
    }
  }
}
</style>
